Name | Type | Default |
appendTo
|
String
|
'parent'
|
Defines where the helper that moves with the mouse is being appended to during the drag (for example, to resolve overlap/zIndex issues).
<template> <JqxSortable ref="mySortable" :appendTo="'document.body'"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
axis
|
String
|
null
|
If defined, the items can be dragged only horizontally or vertically.
Possible Values:
'x'
'y'
<template> <JqxSortable ref="mySortable" :axis="'y'"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
cancel
|
String
|
'input,textarea,button,select,option'
|
Prevents sorting if you start on elements matching the selector.
<template> <JqxSortable ref="mySortable" :cancel="'.not-sortable-item'"> <div class="not-sortable-item">1</div> <div class="sortable-item">2</div> <div class="sortable-item">3</div> <div class="sortable-item">4</div> <div class="sortable-item">5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script> <style> .jqx-sortable div { margin: 1px; background-color: lightblue;
|
connectWith
|
String
|
true
|
A selector of other sortable elements that the items from this list should be connected to.
<template> <div> <JqxSortable ref="mySortable1" :autoCreate="false"></JqxSortable> <JqxSortable ref="mySortable2" :autoCreate="false"></JqxSortable> </div> </template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, data: function () { return { options: { connectWith: '.sortable', opacity: 0.5 }, firstNames: [ 'Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven', 'Michael', 'Robert', 'Laura', 'Anne'], lastNames: [ 'Davolio', 'Fuller', 'Leverling', 'Peacock', 'Buchanan', 'Suyama', 'King', 'Callahan', 'Dodsworth'], } }, mounted: function () { this.loadInfo(); this.$refs.mySortable1.createComponent(this.options); this.$refs.mySortable2.createComponent(this.options); }, methods: { loadInfo: function () { let sortableList1 = ''; let sortableList2 = ''; const firstNamesHalf = Math.floor(this.firstNames.length / 2); for ( let i = 0; i < this.firstNames.length; i++) { const element = '<div>' + this.firstNames[i] + ' ' + this.lastNames[i] + '</div>'; if (i < firstNamesHalf) { sortableList1 = sortableList1 + element; } else { sortableList2 = sortableList2 + element; } } const mySortable1 = this.$refs.mySortable1.$el; const mySortable2 = this.$refs.mySortable2.$el; mySortable1.classList.add( 'sortable'); mySortable2.classList.add( 'sortable'); mySortable1.innerHTML = sortableList1; mySortable2.innerHTML = sortableList2; } } } </script> <style> .jqx-sortable { margin: 2px; padding: 5px; float: left; width: 200px; border: lightblue solid 1px; margin-right: 30px; } .jqx-sortable div { border-radius: 5px; padding: 5px; cursor: pointer; background-color: white; color: black; border: 1px solid transparent; } .jqx-sortable div:hover { border: 1px solid #356AA0;
|
containment
|
String
|
false
|
Defines a bounding box that the sortable items are constrained to while dragging.
<template> <div class="sortable-container"> <JqxSortable ref="mySortable" :containment="'.sortable-container'"> <div class="sortable-item">Nancy Davolio</div> <div class="sortable-item">Andrew Fuller</div> <div class="sortable-item">Janet Leverling</div> <div class="sortable-item">Margaret Peacock</div> <div class="sortable-item">Steven Buchanan</div> </JqxSortable> </div></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script> <style> .jqx-sortable { margin: 2px; padding: 5px; width: 200px; border: lightblue solid 2px; float: left; } .sortable-item { border-radius: 5px; padding: 5px; background-color: white; color: black; } .sortable-item:hover { background-color: #356AA0;
|
cursor
|
String
|
'auto'
|
Defines the cursor that is being shown while sorting.
<template> <JqxSortable ref="mySortable" :cursor="'move'"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
cursorAt
|
Object
|
false
|
Moves the sorting element or helper so the cursor always appears to drag from the same position. Coordinates can be given as a hash using a combination of one or two keys: { top, left, right, bottom }.
<template> <JqxSortable ref="mySortable" :cursorAt='{ left: 5, top:5 }'> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
delay
|
Number
|
0
|
Time in milliseconds to define when the sorting should start. Adding a delay helps preventing unwanted drags when clicking on an element.
<template> <JqxSortable ref="mySortable" :delay="500"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
disabled
|
Boolean
|
false
|
Disables the widget if set to true.
<template> <JqxSortable ref="mySortable" :disabled="true"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
distance
|
Number
|
1
|
Tolerance, in pixels, for when sorting should start. If specified, sorting will not start until after mouse is dragged beyond distance. Can be used to allow for clicks on elements within a handle.
<template> <JqxSortable ref="mySortable" :distance="10"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
dropOnEmpty
|
Boolean
|
true
|
If false, items from this sortable can't be dropped on an empty connect sortable.
<template> <div> <JqxSortable ref="mySortable1" :autoCreate="false"></JqxSortable> <JqxSortable ref="mySortable2" :autoCreate="false"></JqxSortable> </div> </template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, data: function () { return { options: { connectWith: '.sortable', dropOnEmpty: false, opacity: 0.5 }, firstNames: [ 'Nancy', 'Andrew', 'Janet', 'Margaret', 'Steven'], lastNames: [ 'Davolio', 'Fuller', 'Leverling', 'Peacock', 'Buchanan'], } }, mounted: function () { this.loadInfo(); this.$refs.mySortable1.createComponent(this.options); this.$refs.mySortable2.createComponent(this.options); }, methods: { loadInfo: function () { let sortableList1 = ''; let sortableList2 = ''; for ( let i = 0; i < this.firstNames.length; i++) { const element = '<div>' + this.firstNames[i] + ' ' + this.lastNames[i] + '</div>'; sortableList1 = sortableList1 + element; } const mySortable1 = this.$refs.mySortable1.$el; const mySortable2 = this.$refs.mySortable2.$el; mySortable1.classList.add( 'sortable'); mySortable2.classList.add( 'sortable'); mySortable1.innerHTML = sortableList1; mySortable2.innerHTML = sortableList2; } } } </script> <style> .jqx-sortable { margin: 2px; padding: 5px; float: left; width: 200px; border: lightblue solid 1px; margin-right: 30px; } .jqx-sortable div { border-radius: 5px; padding: 5px; cursor: pointer; background-color: white; color: black; border: 1px solid transparent; } .jqx-sortable div:hover { border: 1px solid #356AA0;
|
forceHelperSize
|
Boolean
|
false
|
If true, forces the helper to have a size.
<template> <JqxSortable ref="mySortable" :forceHelperSize="true"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
forcePlaceholderSize
|
Boolean
|
false
|
Sets or gets the displaying of the popover's arrow.
<template> <JqxSortable ref="mySortable" :forcePlaceholderSize="true"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
grid
|
Array
|
[ 0, 0 ]
|
Snaps the sorting element or helper to a grid, every x and y pixels.
<template> <JqxSortable ref="mySortable" :grid=" [ 50, 50 ] "> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
handle
|
String
|
false
|
Restricts sort start click to the specified element.
<template> <JqxSortable ref="mySortable1" :handle="'.handle'"> <div class="sortable-item"> <div class="handle">Drag me</div> <div>Nancy Davolio</div> </div> <div class="sortable-item"> <div class="handle">Drag me</div> <div>Andrew Fuller</div> </div> <div class="sortable-item"> <div class="handle">Drag me </div> <div>Janet Leverling </div> </div> <div class="sortable-item"> <div class="handle">Drag me </div> <div>Margaret Peacock </div> </div> </JqxSortable> </template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script> <style> .jqx-sortable { margin: 2px; padding: 5px; width: 200px; border: lightblue solid 2px; float: left; } .sortable-item { border-radius: 5px; padding: 5px; background-color: white; color: black; } .sortable-item:hover { background-color: #356AA0;
|
helper
|
String
|
'original'
|
Allows for a helper element to be used for dragging display.
<template> <JqxSortable ref="mySortable" :helper="'clone'"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
items
|
String
|
'> *'
|
Specifies which items inside the element should be sortable.
<template> <JqxSortable ref="mySortable1" :items="'.sortable-item'"> <div class="item">Members</div> <div class="sortable-item">Nancy Davolio</div> <div class="sortable-item">Andrew Fuller</div> <div class="sortable-item">Janet Leverling</div> <div class="sortable-item">Margaret Peacock</div> </JqxSortable> </template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script> <style> .jqx-sortable { margin: 2px; padding: 5px; width: 200px; border: lightblue solid 2px; float: left; } .sortable-item { border-radius: 5px; padding: 5px; background-color: white; color: black; } .item { border-radius: 5px; padding: 5px; background-color: #578AA0; color: white; } .sortable-item:hover { background-color: #356AA0;
|
opacity
|
Number
|
false
|
Defines the opacity of the helper while sorting. From 0.01 to 1.
<template> <JqxSortable ref="mySortable" :opacity="0.5"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
placeholderShow
|
String
|
"original"
|
A class name that gets applied to the otherwise white space.
<template> <JqxSortable ref="mySortable" :placeholderShow="'sortable-placeholder'"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
revert
|
Boolean
|
false
|
Whether the sortable items should revert to their new positions using a smooth animation.
<template> <JqxSortable ref="mySortable" :revert="true"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
scroll
|
Boolean
|
true
|
If set to true, the page scrolls when coming to an edge.
<template> <JqxSortable ref="mySortable" :scroll="false"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
scrollSensitivity
|
Number
|
20
|
Defines how near the mouse must be to an edge to start scrolling.
<template> <JqxSortable ref="mySortable" :scrollSensitivity="10"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
scrollSpeed
|
Number
|
20
|
Allows for a helper element to be used for dragging display.
<template> <JqxSortable ref="mySortable" :scrollSpeed="40"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
tolerance
|
String
|
'intersect'
|
Specifies which mode to use for testing whether the item being moved is hovering over another item.
<template> <JqxSortable ref="mySortable" :tolerance="'pointer'"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
zIndex
|
Number
|
1000
|
Allows for a helper element to be used for dragging display.
<template> <JqxSortable ref="mySortable" :zIndex="2000"> <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
|
activate
|
Event
|
|
This event is triggered on drag start when are used connected lists.
Code examples
Bind to the activate event of jqxSortable.
<template> <JqxSortable ref="mySortable" @activate="onActivate($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onActivate: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
beforeStop
|
Event
|
|
This event is triggered when sorting stops, but when the placeholder/helper is still available.
Code examples
Bind to the beforeStop event of jqxSortable.
<template> <JqxSortable ref="mySortable" @beforeStop="onBeforeStop($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onBeforeStop: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
change
|
Event
|
|
This event is triggered when the DOM position of an item is changed.
Code examples
Bind to the change event of jqxSortable.
<template> <JqxSortable ref="mySortable" @change="onChange($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onChange: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
deactivate
|
Event
|
|
This event is triggered when sorting was stopped, is propagated to all possible connected lists.
Code examples
Bind to the deactivate event of jqxSortable.
<template> <JqxSortable ref="mySortable" @deactivate="onDeactivate($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onDeactivate: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
out
|
Event
|
|
This event is triggered when a sortable item is moved away from a sortable list.
Code examples
Bind to the out event of jqxSortable.
<template> <JqxSortable ref="mySortable" @out="onOut($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onOut: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
over
|
Event
|
|
This event is triggered when a sortable item is moved into a sortable list.
Code examples
Bind to the over event of jqxSortable.
<template> <JqxSortable ref="mySortable" @over="onOver($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onOver: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
receive
|
Event
|
|
This event is triggered when an item from a connected sortable list has been dropped into another list.
Code examples
Bind to the receive event of jqxSortable.
<template> <JqxSortable ref="mySortable" @receive="onReceive($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onReceive: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
remove
|
Event
|
|
This event is triggered when a sortable item from the list has been dropped into another.
Code examples
Bind to the remove event of jqxSortable.
<template> <JqxSortable ref="mySortable" @remove="onRemove($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onRemove: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
sort
|
Event
|
|
This event is triggered during sorting.
Code examples
Bind to the sort event of jqxSortable.
<template> <JqxSortable ref="mySortable" @sort="onSort($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onSort: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
start
|
Event
|
|
This event is triggered when sorting starts.
Code examples
Bind to the start event of jqxSortable.
<template> <JqxSortable ref="mySortable" @start="onStart($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onStart: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
stop
|
Event
|
|
This event is triggered when sorting has stopped.
Code examples
Bind to the stop event of jqxSortable.
<template> <JqxSortable ref="mySortable" @stop="onStop($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onStop: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
update
|
Event
|
|
This event is triggered when the user stopped sorting and the DOM position has changed.
Code examples
Bind to the update event of jqxSortable.
<template> <JqxSortable ref="mySortable" @update="onUpdate($event)" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, methods: { onUpdate: function (event) { alert( 'do something...'); } } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
|
Name | Arguments | Return Type |
cancel
|
None
|
None
|
Cancels a change in the current sortable and reverts it to the state prior to when the current sort was started.
<template> <JqxSortable ref="mySortable" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { this.$refs.mySortable.cancel(); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
destroy
|
None
|
None
|
Removes the sortable functionality.
<template> <JqxSortable ref="mySortable" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { this.$refs.mySortable.destroy(); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
disable
|
None
|
None
|
Disables the widget.
<template> <JqxSortable ref="mySortable" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { this.$refs.mySortable.disable(); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
enable
|
None
|
None
|
Enable the widget.
<template> <JqxSortable ref="mySortable" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { this.$refs.mySortable.enable(); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
refresh
|
None
|
None
|
Refresh the items.
<template> <JqxSortable ref="mySortable" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { this.$refs.mySortable.refresh(); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
refreshPositions
|
None
|
None
|
Refresh the cached positions of the sortable items.
<template> <JqxSortable ref="mySortable" > <div>1</div> <div>2</div> <div>3</div> <div>4</div> <div>5</div> </JqxSortable></template> <script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { this.$refs.mySortable.refreshPositions(); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px;
|
serialize
|
object
|
String
|
Serializes the jqxSortable item ids into a form/ajax submittable string. Calling this method produces a hash that can be appended to any url to easily submit a new item order back to the server.
<template> <JqxSortable ref="mySortable"> <div id="sort_1">1</div> <div id="sort_1">2</div> <div id="sort_1">3</div> <div id="sort_1">4</div> <div id="sort_1">5</div> </JqxSortable> </template><script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { const value = this.$refs.mySortable.serialize({ key: 'sort' }); alert(value); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue;
|
toArray
|
None
|
Array
|
Serializes the jqxSortable item ids into an array of strings.
<template> <JqxSortable ref="mySortable"> <div id="sort_1">1</div> <div id="sort_2">2</div> <div id="sort_3">3</div> <div id="sort_4">4</div> <div id="sort_5">5</div> </JqxSortable> </template><script> import JqxSortable from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxsortable.vue'; export default { components: { JqxSortable }, mounted: function () { const array = this.$refs.mySortable.toArray(); console.log(array); } } </script><style> .jqx-sortable div { margin: 1px; background-color: lightblue;
|

Name | Type | Default |
appendTo
|
string
|
'parent'
|
Defines where the helper that moves with the mouse is being appended to during the drag (for example, to resolve overlap/zIndex issues).
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} appendTo={ 'document.body'}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
axis
|
number | string
|
null
|
If defined, the items can be dragged only horizontally or vertically.
Possible Values:
'x'
'y'
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} axis={ 'y'}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
cancel
|
string
|
'input,textarea,button,select,option'
|
Prevents sorting if you start on elements matching the selector.
|
connectWith
|
string | boolean
|
true
|
A selector of other sortable elements that the items from this list should be connected to.
|
containment
|
string | boolean
|
false
|
Defines a bounding box that the sortable items are constrained to while dragging.
|
cursor
|
string
|
'auto'
|
Defines the cursor that is being shown while sorting.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} cursor={ 'move'}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
cursorAt
|
SortableCursorAt
|
false
|
Interface SortableCursorAt { left?: number; top?: number; right?: number; bottom?: number; }
Moves the sorting element or helper so the cursor always appears to drag from the same position. Coordinates can be given as a hash using a combination of one or two keys: { top, left, right, bottom }.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} cursorAt={{ left: 5, top:5 }}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
delay
|
number
|
0
|
Time in milliseconds to define when the sorting should start. Adding a delay helps preventing unwanted drags when clicking on an element.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} delay={500}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Disables the widget if set to true.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} disabled={true}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
distance
|
number
|
1
|
Tolerance, in pixels, for when sorting should start. If specified, sorting will not start until after mouse is dragged beyond distance. Can be used to allow for clicks on elements within a handle.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} distance={10}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropOnEmpty
|
boolean
|
true
|
If false, items from this sortable can't be dropped on an empty connect sortable.
|
forceHelperSize
|
boolean
|
false
|
If true, forces the helper to have a size.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} forceHelperSize={true}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
forcePlaceholderSize
|
boolean
|
false
|
Sets or gets the displaying of the popover's arrow.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} forcePlaceholderSize={true}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
grid
|
Array<number>
|
[ 0, 0 ]
|
Snaps the sorting element or helper to a grid, every x and y pixels.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} grid={[ 50, 50 ]}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
handle
|
string | boolean
|
false
|
Restricts sort start click to the specified element.
|
helper
|
(originalEvent?: any, content?: any) => void | 'original' | 'clone'
|
'original'
|
Allows for a helper element to be used for dragging display.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} helper={ 'clone'}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
items
|
string
|
'> *'
|
Specifies which items inside the element should be sortable.
|
opacity
|
number | boolean
|
false
|
Defines the opacity of the helper while sorting. From 0.01 to 1.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} opacity={0.5}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
placeholderShow
|
string | boolean
|
"original"
|
A class name that gets applied to the otherwise white space.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} placeholderShow={ 'sortable-placeholder'}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
revert
|
number | boolean
|
false
|
Whether the sortable items should revert to their new positions using a smooth animation.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} revert={true}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scroll
|
boolean
|
true
|
If set to true, the page scrolls when coming to an edge.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} scroll={false}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollSensitivity
|
number
|
20
|
Defines how near the mouse must be to an edge to start scrolling.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} scrollSensitivity={10}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollSpeed
|
number
|
20
|
Allows for a helper element to be used for dragging display.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} scrollSpeed={40}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tolerance
|
SortableTolerance
|
'intersect'
|
SortableTolerance: "intersect" | "pointer"
Specifies which mode to use for testing whether the item being moved is hovering over another item.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} tolerance={ 'pointer'}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
zIndex
|
number
|
1000
|
Allows for a helper element to be used for dragging display.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} zIndex={2000}> <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
activate
|
Event
|
|
This event is triggered on drag start when are used connected lists.
Code examples
Bind to the activate event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onActivate={this.onActivate} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onActivate(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
beforeStop
|
Event
|
|
This event is triggered when sorting stops, but when the placeholder/helper is still available.
Code examples
Bind to the beforeStop event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onBeforeStop={this.onBeforeStop} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onBeforeStop(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
change
|
Event
|
|
This event is triggered when the DOM position of an item is changed.
Code examples
Bind to the change event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onChange={this.onChange} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
deactivate
|
Event
|
|
This event is triggered when sorting was stopped, is propagated to all possible connected lists.
Code examples
Bind to the deactivate event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onDeactivate={this.onDeactivate} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onDeactivate(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
out
|
Event
|
|
This event is triggered when a sortable item is moved away from a sortable list.
Code examples
Bind to the out event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onOut={this.onOut} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onOut(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
over
|
Event
|
|
This event is triggered when a sortable item is moved into a sortable list.
Code examples
Bind to the over event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onOver={this.onOver} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onOver(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
receive
|
Event
|
|
This event is triggered when an item from a connected sortable list has been dropped into another list.
Code examples
Bind to the receive event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onReceive={this.onReceive} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onReceive(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
remove
|
Event
|
|
This event is triggered when a sortable item from the list has been dropped into another.
Code examples
Bind to the remove event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onRemove={this.onRemove} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onRemove(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
sort
|
Event
|
|
This event is triggered during sorting.
Code examples
Bind to the sort event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onSort={this.onSort} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onSort(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
start
|
Event
|
|
This event is triggered when sorting starts.
Code examples
Bind to the start event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onStart={this.onStart} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
stop
|
Event
|
|
This event is triggered when sorting has stopped.
Code examples
Bind to the stop event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onStop={this.onStop} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onStop(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
update
|
Event
|
|
This event is triggered when the user stopped sorting and the DOM position has changed.
Code examples
Bind to the update event of jqxSortable.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public render() { return ( <JqxSortable ref={this.mySortable} onUpdate={this.onUpdate} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } private onUpdate(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
cancelMethod
|
None
|
|
Cancels a change in the current sortable and reverts it to the state prior to when the current sort was started.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public componentDidMount(): void { this.mySortable.current!.cancelMethod(); } public render() { return ( <JqxSortable ref={this.mySortable} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Removes the sortable functionality.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public componentDidMount(): void { this.mySortable.current!.destroy(); } public render() { return ( <JqxSortable ref={this.mySortable} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disables the widget.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public componentDidMount(): void { this.mySortable.current!.disable(); } public render() { return ( <JqxSortable ref={this.mySortable} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enable the widget.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public componentDidMount(): void { this.mySortable.current!.enable(); } public render() { return ( <JqxSortable ref={this.mySortable} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refresh the items.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public componentDidMount(): void { this.mySortable.current!.refresh(); } public render() { return ( <JqxSortable ref={this.mySortable} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refreshPositions
|
None
|
|
Refresh the cached positions of the sortable items.
/* CSSStylesheet.css */ .jqx-sortable div { margin: 1px; background-color: lightblue; text-align: center; font-size: 20px; width: 100px; height: 30px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxSortable, { ISortableProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxsortable'; class App extends React.PureComponent <{}, ISortableProps> { private mySortable = React.createRef <JqxSortable>(); public componentDidMount(): void { this.mySortable.current!.refreshPositions(); } public render() { return ( <JqxSortable ref={this.mySortable} > <div>1 </div> <div>2 </div> <div>3 </div> <div>4 </div> <div>5 </div> </JqxSortable> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
serialize
|
object
|
|
Serializes the jqxSortable item ids into a form/ajax submittable string. Calling this method produces a hash that can be appended to any url to easily submit a new item order back to the server.
|
toArray
|
None
|
|
Serializes the jqxSortable item ids into an array of strings.
|

Name | Type | Default |
appendTo
|
String
|
'parent'
|
Sets or gets the appendTo property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [appendTo]="'document.body'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
axis
|
String | Number
|
null
|
Sets or gets the axis property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [axis]="'y'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
cancelProperty
|
String
|
'input,textarea,button,select,option'
|
Sets or gets the cancelProperty property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [cancelProperty]="'.not-sortable-item'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
connectWith
|
String | Boolean
|
true
|
Sets or gets the connectWith property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [connectWith]="'#sortable1, #sortable2'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
containment
|
String | Boolean
|
false
|
Sets or gets the containment property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [containment]="'.sortable-container'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
cursor
|
String
|
'auto'
|
Sets or gets the cursor property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [cursor]="'move'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
cursorAt
|
SortableCursorAt
|
false
|
interface SortableCursorAt { left?: Number; top?: Number; right?: Number; bottom?: Number; } Sets or gets the cursorAt property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [cursorAt]='{ left: 5, top:5 }'> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
delay
|
Number
|
0
|
Sets or gets the delay property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [delay]="500"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [disabled]="true"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
distance
|
Number
|
1
|
Sets or gets the distance property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [distance]="10"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
dropOnEmpty
|
Boolean
|
true
|
Sets or gets the dropOnEmpty property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [dropOnEmpty]="false"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
forceHelperSize
|
Boolean
|
false
|
Sets or gets the forceHelperSize property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [forceHelperSize]="true"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
forcePlaceholderSize
|
Boolean
|
false
|
Sets or gets the forcePlaceholderSize property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [forcePlaceholderSize]="true"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
grid
|
Array<Number>
|
[ 0, 0 ]
|
Sets or gets the grid property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [grid]='[ 50, 50 ]'> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
handle
|
String | Boolean
|
false
|
Sets or gets the handle property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [handle]="'.handle'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
helper
|
enum:SortableHelper | (originalEvent?: Any, content?: Any) => Void
|
'original'
|
Sets or gets the helper property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [helper]="'clone'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
items
|
String
|
'> *'
|
Sets or gets the items property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [items]="'> div.sortable-item'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
opacity
|
Number | Boolean
|
false
|
Sets or gets the opacity property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [opacity]="0.5"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
placeholderShow
|
String | Boolean
|
"original"
|
Sets or gets the placeholderShow property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [placeholderShow]="'sortable-placeholder'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
revert
|
Number | Boolean
|
false
|
Sets or gets the revert property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [revert]="true"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
scroll
|
Boolean
|
true
|
Sets or gets the scroll property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [scroll]="false"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
scrollSensitivity
|
Number
|
20
|
Sets or gets the scrollSensitivity property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [scrollSensitivity]="10"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
scrollSpeed
|
Number
|
20
|
Sets or gets the scrollSpeed property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [scrollSpeed]="40"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
tolerance
|
enum:SortableTolerance
|
'intersect'
|
enum SortableTolerance { intersect, pointer } Sets or gets the tolerance property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [tolerance]="'pointer'"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
zIndex
|
Number
|
1000
|
Sets or gets the zIndex property.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable [zIndex]="2000"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
|
activate
|
Event
|
|
This event is triggered on drag start when are used connected lists.
Code examples
Bind to the activate event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onActivate)="Activate($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent { Activate(event: any): void
|
beforeStop
|
Event
|
|
This event is triggered when sorting stops, but when the placeholder/helper is still available.
Code examples
Bind to the beforeStop event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onBeforeStop)="BeforeStop($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent { BeforeStop(event: any): void
|
change
|
Event
|
|
This event is triggered when the DOM position of an item is changed.
Code examples
Bind to the change event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onChange)="Change($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
create
|
Event
|
|
This event is triggered when the sortable is created.
Code examples
Bind to the create event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onCreate)="Create($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
deactivate
|
Event
|
|
This event is triggered when sorting was stopped, is propagated to all possible connected lists.
Code examples
Bind to the deactivate event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onDeactivate)="Deactivate($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent { Deactivate(event: any): void
|
out
|
Event
|
|
This event is triggered when a sortable item is moved away from a sortable list.
Code examples
Bind to the out event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onOut)="Out($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
over
|
Event
|
|
This event is triggered when a sortable item is moved into a sortable list.
Code examples
Bind to the over event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onOver)="Over($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
receive
|
Event
|
|
This event is triggered when an item from a connected sortable list has been dropped into another list.
Code examples
Bind to the receive event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onReceive)="Receive($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent { Receive(event: any): void
|
remove
|
Event
|
|
This event is triggered when a sortable item from the list has been dropped into another.
Code examples
Bind to the remove event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onRemove)="Remove($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
sort
|
Event
|
|
This event is triggered during sorting.
Code examples
Bind to the sort event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onSort)="Sort($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
start
|
Event
|
|
This event is triggered when sorting starts.
Code examples
Bind to the start event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onStart)="Start($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
stop
|
Event
|
|
This event is triggered when sorting has stopped.
Code examples
Bind to the stop event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onStop)="Stop($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
update
|
Event
|
|
This event is triggered when the user stopped sorting and the DOM position has changed.
Code examples
Bind to the update event of jqxSortable.
import { Component, ViewEncapsulation } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable(onUpdate)="Update($event)"> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent {
|
|
Name | Return Type | Arguments |
cancelMethod
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { this.mySortable.cancelMethod();
|
destroy
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { this.mySortable.destroy();
|
disable
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { this.mySortable.disable();
|
enable
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { this.mySortable.enable();
|
refresh
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { this.mySortable.refresh();
|
refreshPositions
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { this.mySortable.refreshPositions();
|
serialize
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { this.mySortable.serialize();
|
toArray
|
Array<Any>
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSortable #mySortable> <div class="inner-div">1</div> <div class="inner-div">2</div> <div class="inner-div">3</div> <div class="inner-div">4 </div> <div class="inner-div">5 </div> <div class="inner-div">6 </div> <div class="inner-div">7 </div> <div class="inner-div">8 </div> <div class="inner-div">9 </div> </jqxSortable> `, styles: [` jqxSortable > div { list-style-type: none; margin: 2px; padding: 5px; float: left; width: 312px; border: lightblue solid 2px; } .inner-div { margin: 1px; display: inline-block; background-color: lightblue; border: DodgerBlue solid 1px; padding: 0; float: left; padding-left: 0; text-align: center; cursor: pointer; font-size: 5.2em; width: 100px; height: 100px; } `], encapsulation: ViewEncapsulation.None }) export class AppComponent implements AfterViewInit { @ViewChild( 'mySortable') mySortable: jqxSortableComponent; ngAfterViewInit(): void { let value = this.mySortable.toArray();
|